> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update voice settings

> Update voice_settings. At least one field is required.



## OpenAPI

````yaml /openapi.json patch /v1/voices/{voice_id}/settings
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/voices/{voice_id}/settings:
    patch:
      tags:
        - Voices
      summary: Update voice settings
      description: Update voice_settings. At least one field is required.
      operationId: voices_settings_update
      parameters:
        - name: voice_id
          in: path
          required: true
          schema:
            title: Voice Id
            type: string
          description: Voice identifier returned by GET /v1/voices.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VoiceSettingsPayload'
      responses:
        '200':
          description: Updated voice settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceSettingsResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '400':
          description: HTTP 400 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: HTTP 422 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request PATCH \
              --url "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp/settings" \
              --header "xi-api-key: $BREEZE_API_KEY" \
              --header "Content-Type: application/json" \
              --data '{
              "guidance_scale": 1.4
            }'
        - lang: Python
          label: Python SDK
          source: |-
            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            settings = client.voices.edit_settings(
                "voc_xeh3w54cqvnp",
                guidance_scale=1.4,
            )

            print(settings)
        - lang: TypeScript
          label: TypeScript SDK
          source: >-
            import { BreezeBlueClient } from "@breeze.blue/sdk";


            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });


            const settings = await
            client.voices.editSettings("voc_xeh3w54cqvnp", {
              guidanceScale: 1.4,
            });


            console.log(settings);
components:
  schemas:
    VoiceSettingsPayload:
      properties:
        guidance_scale:
          anyOf:
            - type: number
              maximum: 10
              minimum: 1
            - type: 'null'
          title: Guidance Scale
          description: 'Generation guidance strength. Accepted range: 1.0 to 10.0.'
          default: 1
      additionalProperties: false
      type: object
      title: VoiceSettingsPayload
    VoiceSettingsResponse:
      properties:
        guidance_scale:
          default: 1
          title: Guidance Scale
          type: number
      title: VoiceSettingsResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
    ValidationErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - code
        - detail
        - error
      title: ValidationErrorResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````